%define upstream_name    Net-IPv4Addr
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Perl modules to manipulates Ipv4 addresses
License:	GPL+ or Artistic
Group:		System/Networking
Url:		http://iNDev.iNsu.COM/IPv4Addr/
Source0:	http://iNDev.iNsu.COM/sources/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
Net::IPv4Addr provides methods for parsing IPv4 addresses both in traditional
address/netmask format and in the new CIDR format. There are also methods for
calculating the network and broadcast address and also to see check if a given
address is in a specific network.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make

%check
make test

%install
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_sbindir}
mv -f $RPM_BUILD_ROOT%{_bindir}/ipv4calc $RPM_BUILD_ROOT%{_sbindir}/ipv4calc

%files 
%doc README ChangeLog
%{_mandir}/*/*
%{_sbindir}/ipv4calc
%{perl_vendorlib}/Net/*
%{perl_vendorlib}/auto/Net/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-4.mga4
+ Revision: 521438
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.100.0-3.mga3
+ Revision: 390930
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 370656
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 26695
- mageia rebuild
- imported package perl-Net-IPv4Addr


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.1
+ Revision: 407814
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.10-11mdv2009.0
+ Revision: 223872
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10-10mdv2008.1
+ Revision: 180513
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10-9mdv2007.0
+ Revision: 108470
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Net-IPv4Addr

